Folks.Utils.multi_map_str_str_equal – folks Reference Manual

# multi_map_str_str_equal

## Description:

public static bool multi_map_str_str_equal (MultiMap<string,string> a, MultiMap<string,string> b)

Check whether two multi-maps of strings to strings are equal. This performs a deep check for equality, checking whether both maps are of the same size, and that each key maps to the same set of values in both maps.

## Parameters:

a | a multi-map to compare
b | another multi-map to compare

## Returns:

`true` if the multi-maps are equal, `false` otherwise

## Since:

0.6.0